Package net.rubygrapefruit.platform.internal.jni

# Class NativeLibraryFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.NativeLibraryFunctions

public class NativeLibraryFunctions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`VERSION`

## Constructor Summary

Constructors
Constructor
Description
`NativeLibraryFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`getSystemInfo(MutableSystemInfo systemInfo, FunctionResult result)`
`static int`
`getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION

public static final int VERSION

See Also:
  - Constant Field Values

## Constructor Details

### NativeLibraryFunctions

public NativeLibraryFunctions()

## Method Details

### getVersion

public static int getVersion()

### getSystemInfo

public static void getSystemInfo(MutableSystemInfo systemInfo, FunctionResult result)